Page MenuHomePhabricator

Prepare storage layer for lfnwiki
Closed, ResolvedPublic

Event Timeline

Urbanecm triaged this task as Medium priority.Dec 22 2017, 4:25 PM
Urbanecm created this task.
Restricted Application edited projects, added User-Urbanecm; removed Patch-For-Review. · View Herald TranscriptDec 22 2017, 4:25 PM
Urbanecm moved this task from Backlog to Watching on the User-Urbanecm board.Dec 22 2017, 6:41 PM

@ DBA Wiki is going to be public in the Wikipedia family.

Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.EditedDec 23 2017, 7:14 AM
Marostegui added a subscriber: Marostegui.

@ DBA Wiki is going to be public in the Wikipedia family.

Thanks, then we don't need to do anything until the wiki is actually created. Once it is created, just ping us so we can sanitize it on labs.
Once filtered the cloud-services-team can create the views.

MarcoAurelio changed the task status from Open to Stalled.Dec 23 2017, 9:25 AM
MarcoAurelio lowered the priority of this task from Medium to Low.
MarcoAurelio moved this task from Triage to Stalled on the Cloud-Services board.

[ TBD once the wiki is created, can take some weeks ]

Jayprakash12345 changed the task status from Stalled to Open.Apr 19 2018, 11:05 AM

The wiki was created.

Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.

This needs to be filtered.
Assigning it to myself to indicate it is blocked on me before this can be handed over to cloud-services-team

Mentioned in SAL (#wikimedia-operations) [2018-04-19T11:21:30Z] <marostegui> Sanitize lfnwiki - T183566

This has been filtered. I see a new created user (myself) that has all the critical data redacted on labs hosts.
I am going to run a check private data to make completely sure before handing this over to cloud team for the views.

Mentioned in SAL (#wikimedia-operations) [2018-04-19T11:24:13Z] <marostegui> Run check_private_data on labsdb - T183566

Marostegui removed Marostegui as the assignee of this task.Apr 19 2018, 3:08 PM
Marostegui moved this task from In progress to Done on the DBA board.
Marostegui added a subscriber: bd808.

Everything looks redacted on labs hosts, so all good!
This is now ready for cloud-services-team to create the views.

Marostegui moved this task from Stalled to Triage on the Cloud-Services board.Apr 19 2018, 3:09 PM
Urbanecm moved this task from Watching to Created on the User-Urbanecm board.Apr 23 2018, 11:26 AM
Bstorm claimed this task.Apr 23 2018, 6:59 PM

The wiki replica views and DNS are set, and corrected mentioned doc.

Bstorm closed this task as Resolved.Apr 25 2018, 6:57 PM
Urbanecm reopened this task as Open.Apr 26 2018, 6:49 AM

Something went wrong. DNS {wikicode}.analytics.db.svc.eqiad.wmflabs and {wikicode}.web.db.svc.eqiad.wmflabs are okay but wikis are not accessible. See the following output. Can you look at this?

urbanecm@tools-bastion-02 ~ 
$ mysql -h s3.analytics.db.svc.eqiad.wmflabs
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 22872379
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [(none)]> use lfnwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'lfnwiki_p'
MariaDB [(none)]> use gorwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'gorwiki_p'
MariaDB [(none)]> use inhwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'inhwiki_p'
MariaDB [(none)]> use romdwikimedia_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'romdwikimedia_p'
MariaDB [(none)]> Bye

Just to make you sure, this isn't working on web replicas as well. See the following output.

urbanecm@tools-bastion-02 ~ 
$ mysql -h s3.web.db.svc.eqiad.wmflabs
Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 11379982
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [(none)]> use lfnwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'lfnwiki_p'
MariaDB [(none)]> use gorwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'gorwiki_p'
MariaDB [(none)]> use inhwiki_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'inhwiki_p'
MariaDB [(none)]> use romdwikimedia_p;
ERROR 1044 (42000): Access denied for user 'u13367'@'%' to database 'romdwikimedia_p'
MariaDB [(none)]>
Urbanecm moved this task from Created to Watching on the User-Urbanecm board.Apr 26 2018, 10:08 AM
Marostegui closed this task as Resolved.Apr 26 2018, 12:36 PM

This is fixed:

marostegui@tools-bastion-03:~$ sql --cluster analytics gorwiki_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 23182056
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [gorwiki_p]> use lfnwiki_p; use gorwiki_p; use inhwiki_p; use romdwikimedia_p;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [romdwikimedia_p]>


MariaDB [romdwikimedia_p]> Ctrl-C -- exit!
Aborted
marostegui@tools-bastion-03:~$ sql --cluster web gorwiki_p
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 11472464
Server version: 10.1.32-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [gorwiki_p]> use lfnwiki_p; use gorwiki_p; use inhwiki_p; use romdwikimedia_p;
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
MariaDB [romdwikimedia_p]>